For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • GETList Payment Providers
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APIPayment Providers

List Payment Providers

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/paymentProviders
GET
/api/v1/paymentProviders
$curl https://sandbox.trustly.one/api/v1/paymentProviders \
> -u "<username>:<password>"
1{
2 "paymentProviders": [
3 {
4 "name": "Bank of America",
5 "paymentProviderId": "051000017",
6 "type": 1,
7 "instantPayoutAvailable": false
8 },
9 {
10 "name": "Wells Fargo",
11 "paymentProviderId": "102000076",
12 "type": 1,
13 "instantPayoutAvailable": false
14 }
15 ]
16}
Returns a list of payment providers, filtered by country. It can be paged and filtered by appending arguments to the query string of the request.
Was this page helpful?
Previous

Update user status

Next

List Payments

Built with

Authentication

AuthorizationBasic

Query parameters

countriesstringOptional
2 character ISO Country code. There can be multiple instances of this query parameter to represent a list of countries.
paymentTypestringOptional
Filters out payment providers not enabled for the specified payment type. Possible values are Instant, Deferred, Disbursement, Recurring, Verification, and Retrieval.
startIndexstringOptional
Returns payment providers from that offset.
countstringOptional
Returns the maximum number of payment providers specified by this field.

Response

OK
paymentProviderslist of objects
startIndexdouble
itemsPerPagedouble